#ifndef RESOURCES_H_
#define RESOURCES_H_

void resource_handler_reset();
void cleanup();
GLuint create_shader_from_file(char* filename, uint8_t frag);
GLuint create_shader_program(char* vFilename, char* fFilename);
GLuint create_vbo();
GLuint create_vao();
GLuint create_texture();
texture texture_from_file(char* filename, uint8_t genMipmaps);
GLuint create_cube_texture(int cube_tex_size);
texture blank_texture(int width, int height, uint8_t hasAlpha);

#endif
